DROP TEXT SEARCH DICTIONARY()

NAME
DROP TEXT SEARCH DICTIONARY - remove a text search dictionary

SYNOPSIS

DROP TEXT SEARCH DICTIONARY [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP TEXT SEARCH DICTIONARY drops an existing text search dictionary. To execute this command you must be the owner of the dictionary.

PARAMETERS

IF EXISTS
    Do not throw an error if the text search dictionary does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing text search dictionary.

CASCADE
    Automatically drop objects that depend on the text search dictionary.

RESTRICT
    Refuse to drop the text search dictionary if any objects depend on it. This is the default.

EXAMPLES

Remove the text search dictionary english:

DROP TEXT SEARCH DICTIONARY english;

This command will not succeed if there are any existing text search configurations that use the dictionary. Add CASCADE to drop such configurations along with the dictionary.

COMPATIBILITY

There is no DROP TEXT SEARCH DICTIONARY statement in the SQL standard.

SEE ALSO
ALTER TEXT SEARCH DICTIONARY [alter_text_search_dictionary(7)], CREATE TEXT SEARCH DICTIONARY [create_text_search_dictionary(l)]